Bug 288426 - delete dialog for activities is not interactive nor well visible for smaller thumbnail activities
Summary: delete dialog for activities is not interactive nor well visible for smaller ...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: Contour activity switcher (show other bugs)
Version: unspecified
Platform: Meego/Harmattan Linux
: NOR normal (vote)
Target Milestone: unscheduled
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-07 17:20 UTC by Fania Bremmer
Modified: 2012-04-24 00:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
shrinked delete dialog (938.67 KB, image/png)
2011-12-07 17:26 UTC, Fania Bremmer
Details
Deleting dialog (bottom) (449.12 KB, image/png)
2012-01-16 15:56 UTC, Javier Llorente
Details
Deleting dialog (top) (406.64 KB, image/png)
2012-01-16 15:57 UTC, Javier Llorente
Details
Deleting dialog brought to front (528.84 KB, image/png)
2012-01-16 15:57 UTC, Javier Llorente
Details
shot multiple open dialogs (125.44 KB, image/jpeg)
2012-01-26 09:54 UTC, Fania Bremmer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fania Bremmer 2011-12-07 17:20:56 UTC
Version:           unspecified (using Devel) 
OS:                Linux

happens on 2011-12-06-09-24-basyskom-plasma-active-testing-meego-usb-live

- if the user wants to delete an activity in the wheel, that is a bit more in the backgrounds, so second or third activity in the wheel, the delete icon is active and the popup dialog for deleting pops up
- but the dialog is very small so the user cannot tap the yes/no option buttons


Reproducible: Always

Steps to Reproduce:
- open the activitiy switcher
- tap on the delete button of an activity thumbnail second or third postion in the wheel
- see the little scaled popup dialog for deleting pops up


Actual Results:  
- but the dialog is very small so the user cannot tap the yes/no option buttons

Expected Results:  
- the delete dialog shouldnt shrink proportionally with the thumbnail, but be well visible in any case, independent from the thumbnails positioning in the wheel
Comment 1 Fania Bremmer 2011-12-07 17:26:13 UTC
Created attachment 66483 [details]
shrinked delete dialog
Comment 2 Lamarque V. Souza 2011-12-21 17:11:12 UTC
Git commit a859613a5308436735daf4c129b8f1e9b463eb79 by Lamarque V. Souza.
Committed on 21/12/2011 at 17:58.
Pushed by lvsouza into branch 'Active/Two'.

Fix delete activity dialog.

I tried to make the dialog's opacity always 1 but with three or less
activities it always gets below 1 if the activity is not close to the
PathView center. It is still readable though. With four activities and
beyond the opacity stays at 1.

The dialog will be oversized if you slide the activity thumbnail to the
PathView center. Well, we can say it is to improve accessibility :-)

CCBUG: 288426
(cherry picked from commit 9cf657026a7112c9ab6c8b510aad1d4fe547cf76)

M  +8    -6    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/a859613a5308436735daf4c129b8f1e9b463eb79
Comment 3 Lamarque V. Souza 2011-12-21 17:11:13 UTC
Git commit 9cf657026a7112c9ab6c8b510aad1d4fe547cf76 by Lamarque V. Souza.
Committed on 21/12/2011 at 17:58.
Pushed by lvsouza into branch 'master'.

Fix delete activity dialog.

I tried to make the dialog's opacity always 1 but with three or less
activities it always gets below 1 if the activity is not close to the
PathView center. It is still readable though. With four activities and
beyond the opacity stays at 1.

The dialog will be oversized if you slide the activity thumbnail to the
PathView center. Well, we can say it is to improve accessibility :-)

CCBUG: 288426

M  +8    -6    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/9cf657026a7112c9ab6c8b510aad1d4fe547cf76
Comment 4 Javier Llorente 2012-01-16 15:56:36 UTC
Created attachment 67891 [details]
Deleting dialog (bottom)
Comment 5 Javier Llorente 2012-01-16 15:57:07 UTC
Created attachment 67892 [details]
Deleting dialog (top)
Comment 6 Javier Llorente 2012-01-16 15:57:40 UTC
Created attachment 67893 [details]
Deleting dialog brought to front
Comment 7 Fania Bremmer 2012-01-16 16:12:44 UTC
mhh, the different sizes and positions of the dialog are not ideal.
Cant we use always the same layout, box and font size for all activity thumbnails?

the only question is the positioning then, as we sometimes have space to the right, sometimes have space to the left...
Comment 8 Lamarque V. Souza 2012-01-17 00:37:57 UTC
Git commit 936fe896489207b37a088b73f957753bee42be54 by Lamarque V. Souza.
Committed on 17/01/2012 at 01:36.
Pushed by lvsouza into branch 'Active/Two'.

Fix delete activity dialog's position. It is not perfect but is almost
there.
(cherry picked from commit 9a1ecfdff151e88e92ab8f521d0aaaa2bee6d24b)

M  +10   -4    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/936fe896489207b37a088b73f957753bee42be54
Comment 9 Lamarque V. Souza 2012-01-17 00:37:57 UTC
Git commit 9a1ecfdff151e88e92ab8f521d0aaaa2bee6d24b by Lamarque V. Souza.
Committed on 17/01/2012 at 01:36.
Pushed by lvsouza into branch 'master'.

Fix delete activity dialog's position. It is not perfect but is almost
there.

M  +10   -4    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/9a1ecfdff151e88e92ab8f521d0aaaa2bee6d24b
Comment 10 Lamarque V. Souza 2012-01-17 02:26:10 UTC
Git commit 30b0c09fb3428b4ec250cd27cab57de3b0fb6968 by Lamarque V. Souza.
Committed on 17/01/2012 at 03:23.
Pushed by lvsouza into branch 'Active/Two'.

Makes delete activity dialog fully opaque when it is opened.
(cherry picked from commit 223aa40f767e62eac2cb51a6fd68471c01c212c9)

M  +19   -6    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/30b0c09fb3428b4ec250cd27cab57de3b0fb6968
Comment 11 Lamarque V. Souza 2012-01-17 02:26:11 UTC
Git commit 223aa40f767e62eac2cb51a6fd68471c01c212c9 by Lamarque V. Souza.
Committed on 17/01/2012 at 03:23.
Pushed by lvsouza into branch 'master'.

Makes delete activity dialog fully opaque when it is opened.

M  +19   -6    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/223aa40f767e62eac2cb51a6fd68471c01c212c9
Comment 12 Fania Bremmer 2012-01-26 09:54:12 UTC
Created attachment 68190 [details]
shot multiple open dialogs
Comment 13 Fania Bremmer 2012-01-26 09:58:31 UTC
tested on meego devel from 2012-01-24-12-09
see shot multiple open dialogs

- if the user taps a second delete icon, the first dialog should close automatically, that means only one dialog is open at a time
- dont show the delete icon between the buttons "yes/no"
Comment 14 Lamarque V. Souza 2012-02-27 16:58:08 UTC
Git commit 523c5e22e3fd92f9cf78f567a187b6daa977f14e by Lamarque V. Souza.
Committed on 27/02/2012 at 17:49.
Pushed by lvsouza into branch 'master'.

Closes all delete activity dialogs if a new one has just been opened or
the ActivitySwitcher panel has just hidden itself.
Also move the delete activity dialog to above the delete button for all
cases. I had to set the z value of the current activity to 0 to prevent
its thumbnail from covering the delete dialog.

M  +21   -6    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml
M  +5    -2    qmlpackages/activityswitcher/contents/ui/main.qml

http://commits.kde.org/plasma-mobile/523c5e22e3fd92f9cf78f567a187b6daa977f14e
Comment 15 Lamarque V. Souza 2012-03-06 12:49:03 UTC
Git commit 03ec63e44e5ddec8b1ab5fdc0940a8fdf1e38b1f by Lamarque V. Souza.
Committed on 06/03/2012 at 13:47.
Pushed by lvsouza into branch 'master'.

Make delete confirmation dialog appear above any thumbnail in activity
switcher.

M  +1    -0    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml

http://commits.kde.org/plasma-mobile/03ec63e44e5ddec8b1ab5fdc0940a8fdf1e38b1f
Comment 16 Marco Martin 2012-04-11 08:51:42 UTC
could this be considered fixed after lamarque fixes?
Comment 17 Fania Bremmer 2012-04-11 09:40:06 UTC
Personally I find the dialog now better to read und the delete icon is gone now as well, so that is fixed.

I dont know if its ideal to have the dialog displayed in different sizes depending on the place of the thumbnail in the wheel - the little one is well to read, the biggest dialog in the middle of the wheel seems too large in font size and popup size. -> see my question from 2012-01-16

I would expect that the dialog has always the same optimal size and font size, to be well readable and the buttons well touchable.
Comment 18 Marco Martin 2012-04-11 10:20:02 UTC
Git commit 7fca77eaa2c057895c0bd0dd572cfd8254f0f614 by Marco Martin.
Committed on 11/04/2012 at 12:19.
Pushed by mart into branch 'master'.

keep the same overall scale

M  +1    -5    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml
M  +50   -39   qmlpackages/activityswitcher/contents/ui/ConfirmationDialog.qml

http://commits.kde.org/plasma-mobile/7fca77eaa2c057895c0bd0dd572cfd8254f0f614
Comment 19 Marco Martin 2012-04-11 10:20:26 UTC
now moving the weel it should always appear unscaled
Comment 20 Marco Martin 2012-04-12 11:03:59 UTC
Git commit 986ee66025d64a598bbb6cc4ef17411a6edde5d1 by Marco Martin.
Committed on 11/04/2012 at 12:19.
Pushed by mart into branch 'Active/2.1'.

keep the same overall scale

M  +1    -5    qmlpackages/activityswitcher/contents/ui/ActivityDelegate.qml
M  +50   -39   qmlpackages/activityswitcher/contents/ui/ConfirmationDialog.qml

http://commits.kde.org/plasma-mobile/986ee66025d64a598bbb6cc4ef17411a6edde5d1
Comment 21 Lamarque V. Souza 2012-04-24 00:10:18 UTC
This is working in 2012-04-23-16-57-basyskom-plasma-active-testing-meego-usb-live.iso